/*
 * HBuilder framework Tools
 * Version 1.0.0  Copyright (C) eNetCity.net 2017 - 2022.
 * Other contributors: Denghan (58567670@qq.com) 2018-04-23
 * Distributed under the BSD License
 * See http://www.enetcity.net for more info.
 */

/*
 * Get client IP address
 * @params none
 * @return IP 用户IP
 */
function getClientIp() {
    var ip = "127.0.0.1";
    if (plus.os.name == "Android") {
        //WifiManager
        var Context = plus.android.importClass("android.content.Context");
        var WifiManager = plus.android.importClass("android.net.wifi.WifiManager");
        var wifiManager = plus.android.runtimeMainActivity().getSystemService(Context.WIFI_SERVICE);
        var WifiInfo = plus.android.importClass("android.net.wifi.WifiInfo");
        var wifiInfo = wifiManager.getConnectionInfo();
        ip = convertIntToIp(wifiInfo.getIpAddress());
    } else if(plus.os.name == "iOS"){
		ip = "IOS not support";
    }
    return ip;
}

/*
 * convert  IP address number to string
 * @params number
 * @return IP 用户IP
 */
function convertIntToIp(i)  {
　　return (i & 0xFF) + "." + ((i >> 8 ) & 0xFF) + "." + ((i >> 16 ) & 0xFF) +"."+((i >> 24 ) & 0xFF );
}