/*
 * WyyOsp Bussiness Functions
 * Version 1.0.0  Copyright (C) eNetCity.net 2017 - 2022.
 * Other contributors: Denghan (58567670@qq.com) 2018-04-23
 * Distributed under the BSD License
 * See http://www.enetcity.net for more info.
 */

/**
 * 显示城市分站页的商品列表区通栏广告
 * @param String adAreaName   --广告区控件名
 * @param String adItemName   --广告对像控件名* 
 * @param Int    cityId       --商品所属分类的城市ID
 * @param String positionCode --广告位标识符
 */
function showCityIndexFocusBanner(adAreaName,adItemName,cityId,positionCode){
	// 加载城市banner信息
	//console.log("showCityIndexFocusBanner() adAreaName="+adAreaName+",adItemName="+adItemName+",cityId="+cityId+',positionCode='+positionCode);
	var heightRate = 0.56;
	var bannerHeight = imgHeight*heightRate;
	var banner_sub = [{'id':'position_code','value':positionCode,'type':'string'},{'id':'city_id','value':cityId,'type':'int'}]
	submitApiInputData('Api/Site/queryBannerInfo',banner_sub,function(data) {
			//console.log("banner data : "+JSON.stringify(data));
			var hbannerHtml = '';
			mui.each(data.data,function(index,item){
				// 判断是否是商品类型
				if (item.ad_type == 'goods') {
					hbannerHtml += '<div class="swiper-slide" style="height: '+bannerHeight+'px;">';
					hbannerHtml += '<a id="'+item.ad_id+'-'+item.ad_type+'-'+item.ad_goods_id+'-'+item.goods_class+'" href="tel:17776649872">';
						hbannerHtml += '<div class="city-banner-img" style="height: '+bannerHeight+'px;">';
							hbannerHtml += '<img src="'+APP_IMG_URL+''+item.ad_images+'" alt="'+item.ad_name+'" style="width: 100%;">';
						hbannerHtml += '</div>';

						if (item.member_price != '' && item.member_price != '0') {
							hbannerHtml += '<span class="city-banner-price" style="width: 115px; top: -'+bannerHeight+'px;"><span style="width: 14px; display: block; float: left; font-size: 8px; line-height: 10px;">会员价</span><strong style="display: block; margin-top: 5px;"><span>￥</span>'+item.member_price+'<span>起</span></strong></span>';
						}

						if (item.goods_name != '' && item.goods_sale_price != '') {
							hbannerHtml += '<div class="city-banner-title" style="padding: 5px 0 5px 15px;">';
								hbannerHtml += '<div class="float mui-col-xs-9 padding-none">'+item.goods_name+'</div>';
								hbannerHtml += '<span class="float mui-col-xs-3 padding-none" style="float: right;">原价<br>￥'+item.goods_sale_price+'起</span>';
							hbannerHtml += '</div>';
						}
					hbannerHtml += '</a>';
					hbannerHtml += '</div>';
				}
				else if(item.ad_type == 'app_inside'){
					//APP内页
					hbannerHtml += '<div class="swiper-slide" style="height: '+bannerHeight+'px;">';
						hbannerHtml += '<div style="position: absolute; width: 30px; height: 20px; top: 15px; left: 10px; z-index: 20; font-size: 8px; color: #fff; ">';
						    hbannerHtml += '<span>广告</span>';
						hbannerHtml += '</div>';					
						hbannerHtml += '<a id="'+item.ad_id+'-'+item.ad_type+'-'+item.ad_goods_id+'-'+item.goods_class+'"  href="javascript:void(0);" onclick="doBannerJumpAppInside(\''+item.ad_link+'\')">';
						hbannerHtml += '<div class="city-banner-img" style="height: '+bannerHeight+'px;">';
							hbannerHtml += '<img src="'+APP_IMG_URL+''+item.ad_images+'" alt="'+item.ad_name+'" style="width: 100%;">';
						hbannerHtml += '</div>';
					hbannerHtml += '</a>';
					hbannerHtml += '</div>';					
					
				}
				else{
					//普通广告链接（ad_type='ad'）
					//本期逻辑是不显示此类广告
				}
				
		   });
		   
		    console.log("hbannerHtml : "+hbannerHtml);
			hbanner = document.getElementById(adAreaName);
			hbanner.innerHTML=hbannerHtml;

			// 初始化轮播图
			var mySwiper = new Swiper ('.'+adItemName, {
			    loop: true,
		    	pagination: '.swiper-pagination',
		    	autoplay: 5000,//可选选项，自动滑动
		        slidesPerView: 'auto',
		        centeredSlides: true,
		        paginationClickable: true,
		        spaceBetween: 12
			})   

	});
	
}

/**
 * 显示城市分站页的商品列表区通栏广告
 * @param String adAreaName   --广告区控件名
 * @param Int    cityId       --商品所属分类的城市ID
 * @param String positionCode --广告位标识符
 */
function showCityGoodsListACrossBanner(adAreaName,cityId,positionCode){
	// 加载城市banner信息
	//console.log("showCityGoodsListCrossBanner() adAreaName="+adAreaName+",cityId="+cityId+',positionCode='+positionCode);
	var heightRate = 0.56;
	var bannerHeight = imgHeight*heightRate;
	var bannerParams = [{'id':'position_code','value':positionCode,'type':'string'},{'id':'city_id','value':cityId,'type':'int'}];
	submitApiInputData('Api/Site/queryBannerInfo',bannerParams,function(data) {
		// console.log(data)
		var hbannerHtml = '';
		mui.each(data.data,function(index,item){
			// item.ad_link = 'http://m.weiyouyou.com/MemberGoods/index.html';

			// 判断是否是广告类型
			if(item.ad_type == 'goods'){
				//商品广告
			}
			else if(item.ad_type == 'app_inside') {
					//APP内页
				hbannerHtml += '<div class="swiper-slide" style="height: '+bannerHeight+'px;">';
				    //这个地方a id="XX" 有用处：页面有个遍历链接的函数，会根据类型处理跳转链接 
					hbannerHtml += '<a id="'+item.ad_type+'-'+item.goods_class+'-'+item.ad_goods_id+'" href="javascript:void(0);" adLink="'+item.ad_link+'" onclick="doBannerJumpAppInside(\''+item.ad_link+'\')">';
					hbannerHtml += '<div class="city-banner-img" style="height: '+bannerHeight+'px;">';
						hbannerHtml += '<img src="'+APP_IMG_URL+''+item.ad_images+'" alt="'+item.ad_name+'" style="width: 100%;">';
					hbannerHtml += '</div>';
					hbannerHtml += '</a>';
				hbannerHtml += '</div>';				
			}
			else{
				//ad广告，本期逻辑为不显示
			}
			
			/*
			else if (item.ad_type == 'ad') {
				html += '<div class="swiper-slide">';
					if (item.ad_link == '' || item.ad_link == null) {
						html += '<a id="'+item.ad_type+'-'+item.goods_class+'-'+item.ad_goods_id+'" href="javascript:void(0)">';
					}
					else{
						// 判断URL是否完整
				    	if (item.ad_link.indexOf("http://") < 0) {
					    	html += '<a id="'+item.ad_type+'-'+item.goods_class+'-'+item.ad_goods_id+'" href="'+WAP_URL+''+item.ad_link+'">';
					    }
					    else{
					    	html += '<a id="'+item.ad_type+'-'+item.goods_class+'-'+item.ad_goods_id+'" href="'+item.ad_link+'">';
					    }
					}
					// html += '<a id="'+item.ad_type+'-'+item.goods_class+'-'+item.ad_goods_id+'" href="'+item.ad_link+'">';
						html += '<div class="city-banner-img" style="height: '+imgHeight*0.29+'px;"><img src="'+APP_IMG_URL+''+item.ad_images+'" alt="'+item.ad_name+'" width="100%"></div>';
						html += '<div style="width:2px; height:33px;"></div>';
					html += '</a>';
				html += '</div>';
			}*/
		})
		//console.log("hbannerHtml : "+hbannerHtml);
		var swiperAd = document.getElementById(adAreaName);
		swiperAd.innerHTML = hbannerHtml;


		// 初始化轮播图
		var mySwiper = new Swiper ('.'+adAreaName, {
		    loop: true,
	    	// pagination: '.swiper-pagination',
	    	autoplay: 5000,//可选选项，自动滑动
	        slidesPerView: 'auto',
	        centeredSlides: true,
	        paginationClickable: true,
	        spaceBetween: 12
		});  
	});
	
}
	


	
/**
 * 显示详情页的通栏广告
 * @param String itmeName     --广告区控件名
 * @param Int    cityId       --商品所属分类的城市ID
 * @param String positionCode --广告位标识符
 */
function showGoodsDetailBanner(itmeName,cityId,positionCode){
	//Banner区参数
	var heightRate = 0.28;
	var bannerHeight = imgHeight*heightRate;
	//console.log("bannerHeight  : "+ bannerHeight);
	var bannerParams = [{'id':'position_code','value':positionCode,'type':'string'},{'id':'city_id','value':cityId,'type':'int'}]
	
	submitApiInputData('Api/Site/queryBannerInfo',bannerParams,function(data) {
		    //console.log("banner data : "+JSON.stringify(data));
			var apiData = data.data;
			//console.log("count of apiData = "+apiData.length);
			var hbannerHtml = '';
			mui.each(data.data,function(index,item){
				// 判断是否是商品类型
				if (item.ad_type == 'goods') {
					//商品广告
					hbannerHtml += '<div class="swiper-slide" style="height: '+bannerHeight+'px;">';
						hbannerHtml += '<div style="position: absolute; width: 30px; height: 20px; top: 15px; left: 10px; z-index: 20; font-size: 8px; color: #fff; ">';
						    hbannerHtml += '<span>广告</span>';
						hbannerHtml += '</div>';
						hbannerHtml += '<a id="'+item.ad_id+'-'+item.ad_type+'-'+item.ad_goods_id+'-'+item.goods_class+'" href="tel:17776649872">';
						hbannerHtml += '<div class="city-banner-img" style="height: '+bannerHeight+'px;">';
							hbannerHtml += '<img src="'+APP_IMG_URL+''+item.ad_images+'" alt="'+item.ad_name+'" style="width: 100%;">';
						hbannerHtml += '</div>';

						if (item.member_price != '' && item.member_price != '0') {
							hbannerHtml += '<span class="city-banner-price" style="width: 115px; top: -'+bannerHeight+'px;"><span style="width: 14px; display: block; float: left; font-size: 8px; line-height: 10px;">会员价</span><strong style="display: block; margin-top: 5px;"><span>￥</span>'+item.member_price+'<span>起</span></strong></span>';
						}

						if (item.goods_name != '' && item.goods_sale_price != '') {
							hbannerHtml += '<div class="city-banner-title" style="padding: 5px 0 5px 15px;">';
								hbannerHtml += '<div class="float mui-col-xs-9 padding-none">'+item.goods_name+'</div>';
								hbannerHtml += '<span class="float mui-col-xs-3 padding-none" style="float: right;">原价<br>￥'+item.goods_sale_price+'起</span>';
							hbannerHtml += '</div>';
						}
					hbannerHtml += '</a>';
					hbannerHtml += '</div>';
				}
				else if(item.ad_type == 'app_inside'){
					//APP内页
					hbannerHtml += '<div class="swiper-slide" style="height: '+bannerHeight+'px;">';
						hbannerHtml += '<div style="position: absolute; width: 30px; height: 20px; top: 15px; left: 10px; z-index: 20; font-size: 8px; color: #fff; ">';
						    hbannerHtml += '<span>广告</span>';
						hbannerHtml += '</div>';				
						hbannerHtml += '<a id="'+item.ad_id+'-'+item.ad_type+'-'+item.ad_goods_id+'-'+item.goods_class+'" href="javascript:void(0);" onclick="doBannerJumpAppInside(\''+item.ad_link+'\')">';
						hbannerHtml += '<div class="city-banner-img" style="height: '+bannerHeight+'px;">';
							hbannerHtml += '<img src="'+APP_IMG_URL+''+item.ad_images+'" alt="'+item.ad_name+'" style="width: 100%;">';
						hbannerHtml += '</div>';
					hbannerHtml += '</a>';
					hbannerHtml += '</div>';
				}
				else{
					//普通广告链接（ad_type='ad'）
					//本期逻辑是不显示此类广告
				}
					
		   });
		    //console.log("hbannerHtml = "+hbannerHtml);
			hbanner = document.getElementById(itmeName);
			hbanner.innerHTML=hbannerHtml;

			// 初始化轮播图
			var mySwiper = new Swiper ('.swiper-banner', {
			    loop: true,
		    	pagination: '.swiper-pagination',
		    	autoplay: 5000,//可选选项，自动滑动
		        slidesPerView: 'auto',
		        centeredSlides: true,
		        paginationClickable: true,
		        spaceBetween: 12
			})   
	});
	
}

/**
 * 广告APP内页跳转的控制处理
 * @param String jumpStr (格式“标识符:参数”)
 * 逻辑说明
 * (1). "member_card_list:none"表示会员卡列表页，"none"表示无参数	
 * (2). "member_card_page:数字"表示会员卡详情页，"数字"表示会员卡商品ID	
 * (3). "city_index_page:数字"表示城市分站首页，"数字"表示该城市ID	
 * (4). "article_page:数字"表示资讯详情页，"数字"表示该资讯文章ID
 */
function doBannerJumpAppInside(jumpStr){
	if(jumpStr){
		var params = jumpStr.split(':');
		if(params.length>0){
			var symbols = params[0];
			if(symbols=='member_card_list'){
				//会员卡列表
				mui.openWindow({
		            url: "/templates/card/index.html",
		            id: "cardlist",
		        });
			}
			else if(symbols=='member_card_page'){
				//会员卡详情页
				if(params.length>1){
					var id = params[1];	 //取得参数中的会员卡商品ID
				  	mui.openWindow({
				    	id:'member_card_goods_detail',
				    	url:'/templates/card/details.html',
				    	extras : {'goods_id':id}
				  	});
				}
			}
			else if(symbols=='member_card_page'){
				//城市分站首页(待完成)
				if(params.length>1){
					var id = params[1];	 //取得参数中的会员卡城市ID
			        //城市分站首页
			        if(id){
						
						// var citydetails = document.getElementById('citydetails');
						var details = plus.webview.getWebviewById('citydetails');
			        	mui.fire(details, 'refreshs');
	
			            var self = plus.webview.currentWebview();
			            self.hide();
			        	// 获取首页窗口
			        	var index = plus.webview.getLaunchWebview();
			        	// plus.webview.hide(index); // 显示窗口
			        	mui.fire(index, 'retitle');
			        	
						plus.webview.show(details);
					}								
				}
			}
			else if(symbols=='article_page'){
				//资讯详情
				if(params.length>1){
					var id = params[1];	 //取得参数中的会员卡城市ID
					mui.openWindow({
				    	id:'articledetail',
				    	url:'/templates/article/details.html',
				    	extras : {'article_id':id}
				  	});
				}
			}
		}
	}
}